Bug 978458 - Upgrade commons-codec to 1.5 in EAP to support OptaPlanner's usage for BRMS
Upgrade commons-codec to 1.5 in EAP to support OptaPlanner's usage for BRMS
Status: CLOSED WONTFIX
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Build (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: jboss-set
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 12:27 EDT by Rajesh Rajasekaran
Modified: 2016-08-11 10:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-11 10:13:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rajesh Rajasekaran 2013-06-26 12:27:04 EDT
Description of problem:
OptaPlanner in BRMS depends on new features in the 1.5 version of commons-codec. As part of layered product strategy where we would like to sync up versions of all possible dependencies, it would be good if EAP could upgrade commons-codec to 1.5 to avoid BRMS from re-shipping a different version.

Version-Release number of selected component (if applicable):
EAP 6.1.0 (commons-codec-1.4-redhat-2.jar)
Comment 2 Geoffrey De Smet 2013-10-18 03:08:57 EDT
It's isn't optaplanner that required at least commmons-codec 1.5, but something else in drools & jbpm. IIRC it's jbpm-designer and there's a workaround in place to force it to work with commons-codec 1.4.
Comment 3 Paul Gier 2013-10-22 15:54:03 EDT
This needs an associated wildfly issue for the component upgrade, then it can be reviewed for EAP.

Note You need to log in before you can comment on or make changes to this bug.